export interface IEvaluationContract {
  /**
   * 预评价
   */
  previewEvaluation(record: EvaluationRecord): boolean;
}

/**
 * 预评价的记录
 */
export class EvaluationRecord {
  /**
   * 账号
   */
  accNo: string;

  /**
   * 身份证号
   */
  idNo: string;

  /**
   * 姓名
   */
  name: string;

  /**
   * 金额
   */
  amt: string;

  constructor(accNo: string = '', idNo: string = '', name: string = '', amt: string = '') {
    this.accNo = accNo;
    this.idNo = idNo;
    this.name = name;
    this.amt = amt;
  }

  /**
   * 转换为字符串
   */
  toString(): string {
    return `EvaluationRecord=[AccNo:${this.accNo},IdNo:${this.idNo},Name:${this.name},Amt:${this.amt}]`;
  }
}